<app-menu-header title = "Bluetooth"></app-menu-header>

<ion-content class = "ion-padding">

  <ng-container *ngIf = "isScanning; else notScanning">
    <ion-spinner></ion-spinner>
  </ng-container>

  <ng-template #notScanning>
    <ion-button (click) = "initializeBluetooth()">Avvia ricerca</ion-button>

    <div *ngFor = "let device of devices | keyvalue">
      <pre>{{device.value | json}}</pre>
    </div>
  </ng-template>
  
</ion-content>
